Subject: Re: [MOBILE-IP] MIPv6 address conflict checking?

From: Thomas Eklund <[email-masked]>
Date: Mon, 13 Dec 1999 11:59:58 +0100

> -----Original Message-----
> From: Francis Dupont [mailto:[email-masked]]
> Sent: Monday, December 13, 1999 11:07 AM
> To: Thomas Eklund
> Cc: [email-masked]
> Subject: Re: [MOBILE-IP] MIPv6 address conflict checking?
>
>
>  In your previous mail you wrote:
>
>    You can add filters to your move detection algorithm and
> base the filtering
>    on the field strength for instead.
>
> => this doesn't give a reliable L3 movement detection (ie. it
> is a typical
> L2 trick).
I do not agree, yes, you make mobileipv6 "link layer aware" but that does
not jepardize your L3 reliability. That is totally up to the implemenation
you have, how you establish this reliability.
In other words you have intervalls for your field strength and when you are
at a border you dont switch back and forth (pin-pong effect) because your
intervall should be configured to handle this.

And you can do your DAD for your new CoA before you have moved there (i.e.
you do a smooth handover), note this solution is well suited for hot spot
radio and you will probably have a slightly different solution in WAN radio
(like having the move detection policy in a node higher up in the network
and signalling evrything inband or outband to the node and let that make the
mobility movement decision for the mobile node...etc , the list is very
long...)

>
>    Then you must advertise you router prefix in every radio cell so
>    basically you get a new CoA from every AP,
>
> => same concern.
>
>    but a better approach would be to have a couple of AP connected to
>    a router that would announce the same subnet. So basically you have
>    local L2 handover and when you move from the area that the router
>    cover you do a handover in mobileipv6.
>
> => I agree, on cellular radio links we need both L2 and L3 mechanisms.
> My concern is about to use L3 mechanisms when obviously a L2 one is
> far better suit for.
>
>    Basically you must be able to handle several active CoA
> binding and only
>    have one active at the time and base it on several policy
> decision like
>    network load, field strength, operator etc.
>
> => you can have only one active CoA home registration (ie.
> today the home
> agent deals only with one CoA) then I believe you'd like to play with
> correspondent bindings, ie. be able to handle a different CoA per
> correspondent? (this is not the 10.9 idea which is for in transit
> packets for a previous CoA)

Yes I did not say anything esle, you still have one active CoA but you have
several other autoconfigured and ready to "swap to", whenever that is
feasable according to your move detection policy.

>
> [email-masked]
>
> PS: I think IPv6 movement detection should be based on
> prefixes announced
> by router advertisements as described in Solomon's book page 259 but
> there should be a protection against configuration errors
> where a router
> annonces a set of random prefixes (ie. the mobile should send
> some router
> solicitations in order to get more informations: the whole
> set of prefixes,
> more routers, ... it can be a good idea to do DAD at the same time).

I agree, this is how you notice a movement today...
You can also have several other things to base your move detection policy
on, like operator, type of link layer, available bandwidth, field strength
etc tied to the different prefixes.

/Thomas

---

From: Thomas Eklund <[email-masked]>
Date: Mon, 13 Dec 1999 12:01:53 +0100

> Sent: Monday, December 13, 1999 11:17 AM
> To: Thomas Eklund
>    > (there are plenty easy tricks in such a case, for
> instance a random
>    > interface ID should near always work with less than one
>    > billion of nodes
>    > are on the link :-).
>    Fair enough, and I aggree...
>
>    But even if you do as you suggests, you can get colissions... :-)
>
> => interface IDs are 64 bit long, if you remove the global bit the
> birthday standard argument give a zero probability of a collision when
> there are less than 2^(63/2) (ie 3037000500) nodes: I can
> live with this!

There are also people that can live with the uniqueness of a 48 bit MAC
address....:-)

/Thomas Eklund, SwitchCore